diff -ur src.orig/image_jpeg.c src/image_jpeg.c
--- src.orig/image_jpeg.c	2016-02-23 14:34:43.000000000 -0800
+++ src/image_jpeg.c	2016-02-23 14:35:36.000000000 -0800
@@ -92,10 +92,10 @@
     return NULL;
 
   /* check for JPEG compliant codec */
-  if (codecs->vc->codec_id != CODEC_ID_MJPEG &&
-      codecs->vc->codec_id != CODEC_ID_MJPEGB &&
-      codecs->vc->codec_id != CODEC_ID_LJPEG &&
-      codecs->vc->codec_id != CODEC_ID_JPEGLS)
+  if (codecs->vc->codec_id != AV_CODEC_ID_MJPEG &&
+      codecs->vc->codec_id != AV_CODEC_ID_MJPEGB &&
+      codecs->vc->codec_id != AV_CODEC_ID_LJPEG &&
+      codecs->vc->codec_id != AV_CODEC_ID_JPEGLS)
     return NULL;
 
   for (i = 0; jpeg_profiles_mapping[i].profile; i++)
diff -ur src.orig/audio_amr.c src/audio_amr.c
--- src.orig/audio_amr.c	2016-02-23 14:39:15.000000000 -0800
+++ src/audio_amr.c	2016-02-23 14:42:30.000000000 -0800
@@ -53,7 +53,7 @@
   if (!ac)
     return 0;
 
-  if (ac->codec_id != CODEC_ID_AMR_NB)
+  if (ac->codec_id != AV_CODEC_ID_AMR_NB)
     return 0;
   
   /* only mono is supported */
@@ -89,7 +89,7 @@
   if (!ac)
     return 0;
 
-  if (ac->codec_id != CODEC_ID_AMR_WB)
+  if (ac->codec_id != AV_CODEC_ID_AMR_WB)
     return 0;
   
   /* valid sampling rates: 8, 16, 24, 32 and 48 kHz */
diff -ur src.orig/audio_atrac3.c src/audio_atrac3.c
--- src.orig/audio_atrac3.c	2016-02-23 14:39:15.000000000 -0800
+++ src/audio_atrac3.c	2016-02-23 14:42:56.000000000 -0800
@@ -39,7 +39,7 @@
     return AUDIO_PROFILE_INVALID;
 
 #if LIBAVCODEC_VERSION_INT >= ((51<<16)+(40<<8)+4)
-  if (ac->codec_id == CODEC_ID_ATRAC3)
+  if (ac->codec_id == AV_CODEC_ID_ATRAC3)
     return AUDIO_PROFILE_ATRAC;
 #endif
 
diff -ur src.orig/audio_g726.c src/audio_g726.c
--- src.orig/audio_g726.c	2016-02-23 14:39:15.000000000 -0800
+++ src/audio_g726.c	2016-02-23 14:43:19.000000000 -0800
@@ -31,7 +31,7 @@
   if (!ac)
     return AUDIO_PROFILE_INVALID;
 
-  if (ac->codec_id != CODEC_ID_ADPCM_G726)
+  if (ac->codec_id != AV_CODEC_ID_ADPCM_G726)
     return AUDIO_PROFILE_INVALID;
   
   if (ac->channels != 1)
diff -ur src.orig/audio_lpcm.c src/audio_lpcm.c
--- src.orig/audio_lpcm.c	2016-02-23 14:39:15.000000000 -0800
+++ src/audio_lpcm.c	2016-02-23 14:43:56.000000000 -0800
@@ -45,8 +45,8 @@
     return AUDIO_PROFILE_INVALID;
 
   /* check for 16-bit signed network-endian PCM codec  */
-  if (ac->codec_id != CODEC_ID_PCM_S16BE &&
-      ac->codec_id != CODEC_ID_PCM_S16LE)
+  if (ac->codec_id != AV_CODEC_ID_PCM_S16BE &&
+      ac->codec_id != AV_CODEC_ID_PCM_S16LE)
     return AUDIO_PROFILE_INVALID;
 
   /* supported channels: mono or stereo */
diff -ur src.orig/audio_mp2.c src/audio_mp2.c
--- src.orig/audio_mp2.c	2016-02-23 14:39:15.000000000 -0800
+++ src/audio_mp2.c	2016-02-23 14:44:16.000000000 -0800
@@ -31,7 +31,7 @@
   if (!ac)
     return AUDIO_PROFILE_INVALID;
 
-  if (ac->codec_id != CODEC_ID_MP2)
+  if (ac->codec_id != AV_CODEC_ID_MP2)
     return AUDIO_PROFILE_INVALID;
   
   if (ac->channels > 5)
diff -ur src.orig/audio_mp3.c src/audio_mp3.c
--- src.orig/audio_mp3.c	2016-02-23 14:39:15.000000000 -0800
+++ src/audio_mp3.c	2016-02-23 14:44:37.000000000 -0800
@@ -47,7 +47,7 @@
     return 0;
 
   /* check for MP3 codec */
-  if (ac->codec_id != CODEC_ID_MP3)
+  if (ac->codec_id != AV_CODEC_ID_MP3)
     return 0;
   
   /* only mono and stereo are supported */
diff -ur src.orig/audio_wma.c src/audio_wma.c
--- src.orig/audio_wma.c	2016-02-23 14:39:15.000000000 -0800
+++ src/audio_wma.c	2016-02-23 14:45:02.000000000 -0800
@@ -55,7 +55,7 @@
     return ap;
 
   /* check for WMA codec */
-  if (ac->codec_id != CODEC_ID_WMAV1 && ac->codec_id != CODEC_ID_WMAV2)
+  if (ac->codec_id != AV_CODEC_ID_WMAV1 && ac->codec_id != AV_CODEC_ID_WMAV2)
     return ap;
 
   if (ac->sample_rate <= 48000)
diff -ur src.orig/av_mpeg1.c src/av_mpeg1.c
--- src.orig/av_mpeg1.c	2016-02-23 14:39:15.000000000 -0800
+++ src/av_mpeg1.c	2016-02-23 14:45:32.000000000 -0800
@@ -42,7 +42,7 @@
     return NULL;
   
   /* check for MPEG-1 video codec */
-  if (codecs->vc->codec_id != CODEC_ID_MPEG1VIDEO)
+  if (codecs->vc->codec_id != AV_CODEC_ID_MPEG1VIDEO)
     return NULL;
 
   /* video bitrate must be CBR at 1,151,929.1 bps */
@@ -72,7 +72,7 @@
     return NULL;
 
   /* check for MPEG-1 Layer-2 audio codec */
-  if (codecs->ac->codec_id != CODEC_ID_MP2)
+  if (codecs->ac->codec_id != AV_CODEC_ID_MP2)
     return NULL;
   
   /* supported channels: stereo only */
diff -ur src.orig/av_mpeg2.c src/av_mpeg2.c
--- src.orig/av_mpeg2.c	2016-02-23 14:39:15.000000000 -0800
+++ src/av_mpeg2.c	2016-02-23 14:46:45.000000000 -0800
@@ -453,7 +453,7 @@
   int i;
   
   /* check for MPEG-2 MP@LL profile */
-  if (codecs->ac->codec_id == CODEC_ID_AAC)
+  if (codecs->ac->codec_id == AV_CODEC_ID_AAC)
   {
     /* 352x288 only */
     if (codecs->vc->width != 352 && codecs->vc->height != 288)
@@ -535,7 +535,7 @@
   if (ctx->bit_rate > 19392700)
     return NULL;
 
-  if (codecs->ac->codec_id != CODEC_ID_AC3)
+  if (codecs->ac->codec_id != AV_CODEC_ID_AC3)
     return NULL;
 
   /* 48 KHz only */
@@ -615,7 +615,7 @@
     return NULL;
   
   /* check for MPEG-2 video codec */
-  if (codecs->vc->codec_id != CODEC_ID_MPEG2VIDEO)
+  if (codecs->vc->codec_id != AV_CODEC_ID_MPEG2VIDEO)
     return NULL;
 
   switch (st)
diff -ur src.orig/av_mpeg4_part10.c src/av_mpeg4_part10.c
--- src.orig/av_mpeg4_part10.c	2016-02-23 14:39:15.000000000 -0800
+++ src/av_mpeg4_part10.c	2016-02-23 14:47:03.000000000 -0800
@@ -1221,7 +1221,7 @@
     return NULL;
 
   /* check for H.264/AVC codec */
-  if (codecs->vc->codec_id != CODEC_ID_H264)
+  if (codecs->vc->codec_id != AV_CODEC_ID_H264)
     return NULL;
 
   /* check for a supported container */
diff -ur src.orig/av_mpeg4_part2.c src/av_mpeg4_part2.c
--- src.orig/av_mpeg4_part2.c	2016-02-23 14:39:15.000000000 -0800
+++ src/av_mpeg4_part2.c	2016-02-23 14:47:49.000000000 -0800
@@ -42,13 +42,13 @@
   int codec_id;
   mpeg4_vcodec_type_t type;
 } avf_vcodec_mapping[] = {
-  { CODEC_ID_H263,                      MPEG4_VCODEC_H263 },
-  { CODEC_ID_H263I,                     MPEG4_VCODEC_H263 },
-  { CODEC_ID_H263P,                     MPEG4_VCODEC_H263 },
-  { CODEC_ID_MPEG4,                     MPEG4_VCODEC_P2 },
-  { CODEC_ID_MSMPEG4V1,                 MPEG4_VCODEC_P2 },
-  { CODEC_ID_MSMPEG4V2,                 MPEG4_VCODEC_P2 },
-  { CODEC_ID_MSMPEG4V3,                 MPEG4_VCODEC_P2 },
+  { AV_CODEC_ID_H263,                      MPEG4_VCODEC_H263 },
+  { AV_CODEC_ID_H263I,                     MPEG4_VCODEC_H263 },
+  { AV_CODEC_ID_H263P,                     MPEG4_VCODEC_H263 },
+  { AV_CODEC_ID_MPEG4,                     MPEG4_VCODEC_P2 },
+  { AV_CODEC_ID_MSMPEG4V1,                 MPEG4_VCODEC_P2 },
+  { AV_CODEC_ID_MSMPEG4V2,                 MPEG4_VCODEC_P2 },
+  { AV_CODEC_ID_MSMPEG4V3,                 MPEG4_VCODEC_P2 },
   { -1, 0 }
 };
    
diff -ur src.orig/av_wmv9.c src/av_wmv9.c
--- src.orig/av_wmv9.c	2016-02-23 14:39:15.000000000 -0800
+++ src/av_wmv9.c	2016-02-23 14:48:13.000000000 -0800
@@ -245,7 +245,7 @@
     return NULL;
 
   /* check for WMV3 (Simple and Main profiles) video codec */
-  if (codecs->vc->codec_id != CODEC_ID_WMV3)
+  if (codecs->vc->codec_id != AV_CODEC_ID_WMV3)
     return NULL;
 
   /* get video profile */
diff -ur src.orig/image_png.c src/image_png.c
--- src.orig/image_png.c	2016-02-23 14:39:15.000000000 -0800
+++ src/image_png.c	2016-02-23 14:48:32.000000000 -0800
@@ -76,7 +76,7 @@
     return NULL;
   
   /* check for PNG compliant codec */
-  if (codecs->vc->codec_id != CODEC_ID_PNG)
+  if (codecs->vc->codec_id != AV_CODEC_ID_PNG)
     return NULL;
 
   for (i = 0; png_profiles_mapping[i].profile; i++)
diff -ur src.orig/audio_aac.c src/audio_aac.c
--- src.orig/audio_aac.c	2016-02-23 14:52:38.000000000 -0800
+++ src/audio_aac.c	2016-02-23 14:53:06.000000000 -0800
@@ -311,7 +311,7 @@
     return AUDIO_PROFILE_INVALID;
 
   /* check for AAC variants codec */
-  if (ac->codec_id != CODEC_ID_AAC)
+  if (ac->codec_id != AV_CODEC_ID_AAC)
     return AUDIO_PROFILE_INVALID;
   
   switch (type)
diff -ur src.orig/audio_ac3.c src/audio_ac3.c
--- src.orig/audio_ac3.c	2016-02-23 14:54:50.000000000 -0800
+++ src/audio_ac3.c	2016-02-23 14:55:32.000000000 -0800
@@ -39,7 +39,7 @@
     return AUDIO_PROFILE_INVALID;
 
   /* check for AC3 codec */
-  if (ac->codec_id != CODEC_ID_AC3)
+  if (ac->codec_id != AV_CODEC_ID_AC3)
     return AUDIO_PROFILE_INVALID;
   
   /* supported channels: 1/0, 2/0, 3/0, 2/1, 3/1, 2/2, 3/2 */
